#include "defs.h"

static void errno_exit(const char *s);

static int xioctl(int fd, int request, void *arg);

char *make_time_string(time_t timestamp, long usec, int type);

void make_fname(char *fname, time_t timestamp, long usec, int type);

void save_ave_stack();

void save_dif_stack();

void create_md_zones(int img_width, int img_height);

static void process_image(const void * p, time_t timestamp, long usec);

static int read_frame(void);

static void mainloop(void);

static void stop_capturing(void);

static void start_capturing(void);

static void uninit_device(void);

static void init_mmap(int n);

static void init_device(int img_in_mmap_buffer);

static void close_device(void);

static void open_device(void);

static void usage (FILE *fp, int argc, char **argv);

